"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.DecryptDataError = exports.IntegrityValueError = exports.EncryptDataError = exports.SymmetricKeyError = exports.CryptoTokenError = exports.AccessTokenError = exports.NiceError = void 0;
var ts_custom_error_1 = require("ts-custom-error");
var NiceError = /** @class */ (function (_super) {
    __extends(NiceError, _super);
    function NiceError(name, message) {
        return _super.call(this, message) || this;
    }
    return NiceError;
}(ts_custom_error_1.CustomError));
exports.NiceError = NiceError;
var AccessTokenError = /** @class */ (function (_super) {
    __extends(AccessTokenError, _super);
    function AccessTokenError(message) {
        return _super.call(this, 'AccessTokenError', message) || this;
    }
    return AccessTokenError;
}(NiceError));
exports.AccessTokenError = AccessTokenError;
var CryptoTokenError = /** @class */ (function (_super) {
    __extends(CryptoTokenError, _super);
    function CryptoTokenError(message) {
        return _super.call(this, 'CryptoTokenError', message) || this;
    }
    return CryptoTokenError;
}(NiceError));
exports.CryptoTokenError = CryptoTokenError;
var SymmetricKeyError = /** @class */ (function (_super) {
    __extends(SymmetricKeyError, _super);
    function SymmetricKeyError(message) {
        return _super.call(this, 'SymmetricKeyError', message) || this;
    }
    return SymmetricKeyError;
}(NiceError));
exports.SymmetricKeyError = SymmetricKeyError;
var EncryptDataError = /** @class */ (function (_super) {
    __extends(EncryptDataError, _super);
    function EncryptDataError(message) {
        return _super.call(this, 'EncryptDataError', message) || this;
    }
    return EncryptDataError;
}(NiceError));
exports.EncryptDataError = EncryptDataError;
var IntegrityValueError = /** @class */ (function (_super) {
    __extends(IntegrityValueError, _super);
    function IntegrityValueError(message) {
        return _super.call(this, 'IntegrityValueError', message) || this;
    }
    return IntegrityValueError;
}(NiceError));
exports.IntegrityValueError = IntegrityValueError;
var DecryptDataError = /** @class */ (function (_super) {
    __extends(DecryptDataError, _super);
    function DecryptDataError(message) {
        return _super.call(this, 'DecryptDataError', message) || this;
    }
    return DecryptDataError;
}(NiceError));
exports.DecryptDataError = DecryptDataError;
