import '../extensions/date.extensions';
export declare function issueToken(): Promise<{
    accessToken: any;
    tokenType: any;
    expiresIn: any;
    scope: any;
}>;
export declare function issueCryptoToken(requestno: string, accessToken: string, nowDate: Date): Promise<{
    cryptoToken: any;
    siteCode: any;
    tokenVersionId: any;
}>;
export declare function generateSymmetricKey(requestno: string, cryptoToken: string, now: Date): {
    symmetricKey: string;
    key: string;
    iv: string;
    hmacKey: string;
};
export declare function encryptData(key: string, iv: string, plainData: string): string;
export declare function decryptData(key: string, iv: string, cipherData: string): string;
export declare function hmacSha256(key: string, data: string): string;
export declare function jsonParse(str: string): any;
