import { CustomError } from 'ts-custom-error';
export declare class NiceError extends CustomError {
    constructor(name: string, message?: string);
}
export declare class AccessTokenError extends NiceError {
    constructor(message?: string);
}
export declare class CryptoTokenError extends NiceError {
    constructor(message?: string);
}
export declare class SymmetricKeyError extends NiceError {
    constructor(message?: string);
}
export declare class EncryptDataError extends NiceError {
    constructor(message?: string);
}
export declare class IntegrityValueError extends NiceError {
    constructor(message?: string);
}
export declare class DecryptDataError extends NiceError {
    constructor(message?: string);
}
