import { NiceAuthDecryptParameter, NiceOption, NiceAuthRequestParameter, NiceAuthRequestResultData, NiceAuthResponseData } from '../models';
declare class NiceAuth {
    private _options;
    constructor(_options: NiceOption);
    generateRequestData: (niceRequestParameter: Omit<NiceAuthRequestParameter, 'sitecode'>) => Promise<NiceAuthRequestResultData>;
    decryptResultData: (params: NiceAuthDecryptParameter) => NiceAuthResponseData;
}
export { NiceAuth };
